Get a specific area
curl --request GET \
--url https://api.habitify.me/v2/areas/{areaId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.habitify.me/v2/areas/{areaId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.habitify.me/v2/areas/{areaId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"colorHex": "<string>",
"icon": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}Areas
Get a specific area
Retrieve the details of a specific area by its ID.
GET
/
areas
/
{areaId}
Get a specific area
Authorizations
ApiKeyTokenAuthAccessTokenAuthIdTokenAuth
API key generated from our app (Settings > API). Only one key can be active at a time.
Path Parameters
The unique identifier of the area
Response
The area details
Represents an area used to categorize and organize habits into logical groups (e.g., "Health", "Work", "Personal").
Show child attributes
Show child attributes

